require 'data_validation/comparison/ranking_table_hs_comparison_base'

module DataValidation
  module Comparison
    class RankingTableHsCrrComparison < RankingTableHsComparisonBase

      def field_array
        ['rank', 'teamName', 'state', 'totalWins', 'totalLosses', 'totalTies', 'ccr', 'pollPoint', 'powerRating']
      end

      def rank_field
        'ccr'
      end

      def related_rank_field
        'rank'
      end

    end
  end
end