require 'data_validation/comparison/ranking_table_hs_comparison_base'

module DataValidation
  module Comparison
    class RankingTableHsPollComparison < RankingTableHsComparisonBase

      def field_array
        ['rank', 'teamName', 'state', 'totalWins', 'totalLosses', 'totalTies', 'pollPoint', 'pollFirst']
      end

      def rank_field
        'pollFirst'
      end

      def related_rank_field
        'rank'
      end

    end
  end
end