require 'data_validation/comparison/ranking_table_hs_comparison_base'

module DataValidation
  module Comparison
    class RankingTableHsRpiComparison < RankingTableHsComparisonBase

      def field_array
        ['rank', 'teamName', 'region', 'gameScheduled', 'rpi', 'totalWins', 'totalLosses', 'totalTies']
      end

      def rank_field
        'rpi'
      end

      def related_rank_field
        'rank'
      end

    end
  end
end