require 'data_validation/comparison/comparison_base'

module DataValidation
  module Comparison
    class RankingTableMwQwComparison < ComparisonBase

      def api_path
        '/rest/LaxPower/rankingTableMWqw'
      end

      def field_array
        [nil, 'teamName', 'qwPrRank', 'qualityWinsPr', nil, 'qualityWinsPoll', 'qwRpiRank', 'qualityWinsRpi', %w|record wins|, %w|record losses|, %w|record ties|]
      end

      def rank_field
        'qualityWinsPr'
      end

      def related_rank_field
        'qwPrRank'
      end
    end
  end
end